<?php
include '../inc/function.php'; // Pour lister_un_dossier()
include '../inc/vars_init_no_exist.php';
$chemin_fichier_01 = '../chmod_perso/mdp.php';
$chemin_fichier_02 = '../chmod_perso/cfg_param_intro.php';
$chemin_fichier_03 = '../chmod_perso/chemin.php';
include $chemin_fichier_01;
include $chemin_fichier_02;
include $chemin_fichier_03;

#----- Initialisation des variables
empty($_GET['st'])          ? $st = '10'       : $st = $_GET['st'];
empty($_POST['enrg'])       ? $enrg = ''       : $enrg = $_POST['enrg'];
empty($_POST['pass'])       ? $pass = ''       : $pass = $_POST['pass'];
empty($_POST['nvpass'])     ? $nvpass = ''     : $nvpass = $_POST['nvpass'];
empty($_POST['confnvpass']) ? $confnvpass = '' : $confnvpass = $_POST['confnvpass'];
empty($_GET['ab'])          ? $ab = 0          : $ab = $_GET['ab'];

empty($_POST['nv_fai'])                  ? $nv_fai = ''                  : $nv_fai = $_POST['nv_fai'];
empty($_POST['nv_nom_url_accueil_site']) ? $nv_nom_url_accueil_site = '' : $nv_nom_url_accueil_site = $_POST['nv_nom_url_accueil_site'];
empty($_POST['nv_langue_sur_livre'])     ? $nv_langue_sur_livre = ''     : $nv_langue_sur_livre = $_POST['nv_langue_sur_livre'];
empty($_POST['nv_langue_par_defaut'])    ? $nv_langue_par_defaut = ''    : $nv_langue_par_defaut = $_POST['nv_langue_par_defaut'];
empty($_POST['nv_active_SAS'])           ? $nv_active_SAS = ''           : $nv_active_SAS = $_POST['nv_active_SAS'];

$versionPEI = 'v0.2';
#----- Les fonctions
function affiche_sep ()
{
    echo '<div class="sep">';
    echo '<img src="../images/sep.gif" width="200" height="2" />';
    echo '</div><br />';
}
function affiche_entete ()
{
    echo '<div class="title"><img src="../images/install.gif" align="middle"> &nbsp;&nbsp;&nbsp;&nbsp;Installation de A.I-Pifou, Livre d\'or.</div>';
    affiche_sep ();
}


#-----
function acces_ecriture($chemin_du_fichier, $nom_du_fichier)
{
    if (@!file_exists($chemin_du_fichier)) // Si le fichier n'est pas prsent on le signale
    {
        echo '<span class="erreur">&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; n\'est pas pr&eacute;sent.<br />Vous avez d&ucirc; oublier de le transferrer.</span><br /><br />';
    }
    else
    {
        if (@is_writable($chemin_du_fichier)) // Sinon s'il est l, on vrifie si on peut crire dedant
        {
            echo '<span class="noerreur">&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; est accessible en &eacute;criture.</span><br /><br />';
        }
        else
        {
            echo '<span class="erreur">&raquo; "<strong>'.$nom_du_fichier.'</strong>" n\'est pas accessible en &eacute;criture, effectuez un CHMOD777 sur ce fichier.</span><br /><br />';
        }
    }
} // Fin fonction


#-----
function existe_encore($nom_fichier)
{
    $mess_plus = '';
    if ($nom_fichier == 'index.php') {$mess_plus = '[Dangereux, &agrave; effacer IMP&Eacute;RATIVEMENT]';}

    if (@file_exists($nom_fichier)) // Si le fichier n'est pas prsent on le signale
    {
        echo '<span class="erreur">&raquo; &quot;<strong>'.$nom_fichier.'</strong>&quot; n\'a pas pu &ecirc;tre effac&eacute;. '.$mess_plus.'<br /></span>';
    }
    else
    {
        echo '<span class="noerreur">- &quot;<strong>'.$nom_fichier.'</strong>&quot; a bien &eacute;t&eacute; effac&eacute;.<br /></span>';
    }
} // Fin fonction


#-----
// Sert  changer la valeur des variables de config
function change($nom, $new, $chemin_du_fichier_de_configuration)
{
    if(!empty($nom) && !empty($new))
    {
        $list = file($chemin_du_fichier_de_configuration);

            for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
            {
                $tab = explode(' = ', $list[$i]);
                $tab[0] = str_replace("\$", '', $tab[0]);
                if($nom == $tab[0])
                {
                    $tab[1] = " = '$new';\n";
                }
                else
                {
                    $tab[1] = " = $tab[1]";
                }
                $list[$i] = "\$$tab[0]$tab[1]";
            }

        $data = '';
            for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
            {
                $data = $data.$list[$i];
            }

        $fd = fopen($chemin_du_fichier_de_configuration, 'w');
        fwrite($fd, "<?php\n".$data."?".">");
        fclose($fd);
    }
} // Fin fonction
?>

<html>
<head>
<title>A.I-Pifou, Livre d'or EasyInstall</title>
<style>
body {background-color: #FFFFFF; font-family: Verdana, Arial, Helvetica; font-size: 11px; margin-top: 6px;}

.titre_st {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #94A8EC; font-weight: bold; }
.tab_gn {
    width: 75%;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: #000000;
    font-size: 12px;
    border: #000000 2px solid;
    padding: 0px 10px 10px 10px;
    text-align: left;
}

.sep {text-align: center;}
.erreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #FF0000; /*font-weight: bold;*/}
.noerreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #00CE00; /*font-weight: bold;*/}

input {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000; font-weight: bold;}
select {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000; font-weight: bold;}

a.liens {color:#FF0000; background-color:none;text-decoration: underline overline ; font-weight:none;}
a.liens:hover {color:#767676; background-color:none;text-decoration:underline overline; position:relative; left:1px; top:1px;}
</style>

<script type="text/javascript">
<!--
// Formatage des champs mdp
function valid_mdp(ze_entree)
{
    var ze_touche = ze_entree.which ? ze_entree.which : ze_entree.ze_touche;
    var interdit = '&*?!:;,\t#~"^%$?%*+()[]{}<>|\\/`\'';
    if (interdit.indexOf(String.fromCharCode(ze_touche)) >= 0)
    {
        alert('Ce caractre, n\'est pas valide');
        return false;
    }
}
//-->
</script>
</head>

<body>
<div align="center">
<?php
################################################################################ 10
// Le dpart
if ($st == '10')
{
    echo '<div class="tab_gn">';

    affiche_entete ();

    echo '<strong><span class="titre_st">Installation simplifi&eacute;e de A.I-Pifou, Livre d\'or.</span></strong>';
    echo '<br /><br />';

    echo 'Avant d\'aller plus loin, il faut v&eacute;rifier que tous les fichiers constituants A.I-Pifou, Livre d\'or ';
    echo 'ont bien &eacute;t&eacute; envoy&eacute;s sur le serveur.<br />';
    echo 'Cliquez sur le lien ci-dessous.<br /><br />';

    echo '<div align="center">';
    echo '<a href="../verification_fichiers.php" class="liens" target="_blank" title=""><b>V&eacute;rification &agrave; faire</b></a><br /><br />';
    echo '</div>';

    echo '<strong>ATTENTION</strong>, si cela &eacute;tait n&eacute;cessaire chez votre h&eacute;bergeur, vous devez avoir appliqu&eacute; les CHMOD\'s sur les fichiers et dossiers, comme il &eacute;tait indiqu&eacute; dans la doc d\'install.<br />';
    echo 'Ceci sera de toute fa&ccedil;on v&eacute;rifi&eacute; dans la fen&ecirc;tre suivante.<br /><br />';

    echo '&raquo; Votre version PHP est : <strong>'.phpversion().'</strong>';
    echo '<br /><br />Cliquez sur &quot;Suivant&quot;.';
    echo '<br /><br />';

    affiche_sep ();

    echo '<div align="right"><a href="index.php?st=20"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</div>';
}

################################################################################ 20
if ($st == '20')
{
    /* @chmod('../install', 0777);
    @chmod('../chmod_perso/cfg_choix_skin.php', 0777);
    @chmod('../chmod_perso/cfg_param_intro.php', 0777);
    @chmod('../chmod_perso/chemin.php', 0777);
    @chmod('../chmod_perso/code_ecrit.php', 0777);
    @chmod('../chmod_perso/dico_flood.php', 0777);
    @chmod('../chmod_perso/'.$nom_fichier_des_messages, 0777);
    @chmod('../chmod_perso/'.$nom_fichier_des_messages_diff, 0777);
    @chmod('../chmod_perso/mdp.php', 0777);
    @chmod('../chmod_perso/messages_accueil.php', 0777);
    @chmod('../chmod_perso/scroll_pifou.css', 0777);
    @chmod('../skins/mon_skin/cfg_variables.php', 0777); */


    echo '<div class="tab_gn">';
    affiche_entete ();

    echo '<strong><span class="titre_st">V&eacute;rification...</span></strong><br /><br />';

    echo 'V&eacute;rifications ici, pour savoir si les fichiers sur lesquels A.I-Pifou va &eacute;crire, sont bien pr&eacute;sents et si c\'est le cas, pour savoir s\'ils peuvent &ecirc;tre modifi&eacute;s.<br />';
    echo 'Tant que tout est vert alors pas besoin de paniquer.<br /><br />';

    acces_ecriture('../chmod_perso/cfg_choix_skin.php', 'cfg_choix_skin.php');
    acces_ecriture('../chmod_perso/cfg_param_intro.php', 'cfg_param_intro.php');
    acces_ecriture('../chmod_perso/chemin.php', 'chemin.php');
    acces_ecriture('../chmod_perso/code_ecrit.php', 'code_ecrit.php');
    acces_ecriture('../chmod_perso/dico_flood.php', 'dico_flood.php');
    acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages, $nom_fichier_des_messages);
    acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages_diff, $nom_fichier_des_messages_diff);
    acces_ecriture('../chmod_perso/mdp.php', 'mdp.php');
    acces_ecriture('../chmod_perso/messages_accueil.php', 'messages_accueil.php');
    acces_ecriture('../chmod_perso/scroll_pifou.css', 'scroll_pifou.css');
    acces_ecriture('../skins/mon_skin/cfg_variables.php', 'cfg_variables.php');

    echo '<br />Cliquez sur &quot;Suivant&quot;';
    echo '<br /><br />';

    affiche_sep ();

    echo '<div align="right"><a href="index.php?st=10"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
    echo ' <a href="index.php?st=20"><img src="bout_actualiser.gif" border="0" width="100" height="22" alt="Actualiser"></a>';
    echo ' <a href="index.php?st=30"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</div>';
} // FIN de 20


################################################################################ 30
if ($st == '30')
{
    $ze_mess = '';
    $truc = '';
    $classe = '';

    if ($enrg == 1)
    {
        if (is_writable($chemin_fichier_01))
        {
            $nvpass = trim($nvpass);
            $confnvpass = trim($confnvpass);

            // Si le mot de passe est bon alors on enregistre les nouvelles donnes et on affiche mdp OK
            if ($pass == $password_bis and $nvpass != 'toto' and $confnvpass != 'toto' and !empty($nvpass) and !empty($confnvpass) and $nvpass == $confnvpass)
            {
                $confnvpass = htmlspecialchars($confnvpass); // Inutile
                $nvpass = htmlspecialchars($nvpass); //mieux

                if(preg_match('#^[a-zA-Z0-9][a-zA-Z0-9_. -]*$#', $nvpass))
                {
                    //Nouveau fichier a enregistrer
                    $fichier = fopen($chemin_fichier_01, 'w+');

                    // On crit dans le fichier
                    $txt  = '<?php'."\n";
                    $txt .= '$password_bis = \''.$nvpass.'\';'."\n";
                    $txt .= '?>';

                    // On ecrit le nouveau mot de passe
                    fwrite($fichier, $txt);
                    // On referme
                    fclose($fichier);
                    #-----
                    $ze_mess = '<strong>Mot de passe modifi&eacute; avec succ&egrave;s.</strong>';
                    $classe = 'noerreur';
                    $truc = '1';
                }
                else
                {
                    $ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que vous avez utilis&eacute; des caract&egrave;res interdits.</strong>';
                    $classe = 'erreur';
                }
            } // FIN de if ($pass == $password_bis and $nvpass != 'toto' and $confnvpass != 'toto' and ...
            else
            {
                $ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que le mot de passe actuel, ou la confirmation, n\'est pas bon.</strong>';
                $classe = 'erreur';
            }
        } // Fin if (is_writable($chemin_fichier_01))
        else
        {
            $ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que le fichier &quot;mdp.php&quot; est inaccessible en &eacute;criture.</strong>';
            $classe = 'erreur';
        }
        #---------------
    } // Fin de if ($enrg == 1) {


    echo '<div class="tab_gn">';
    affiche_entete ();

    echo '<form method="post" action="?st=30" name="monform" style="margin:0px;">';
        echo '<input type="hidden" name="enrg" value="1">';

    // Dbut explications pour changer le mot de passe
        echo '<span class="titre_st">Changement du mot de passe.</span><br /><br />Pour acc&eacute;der &agrave; votre admin, vous devrez entrer un mot de passe.<br />Vous devez donc ici, modifier absolument celui par d&eacute;faut.<br /><br />Pour changer le mot de passe, vous devez entrer le mot de passe actuel.<br />';
        echo 'Ensuite, entrez votre nouveau mot de passe, dans les deux champs suivants.<br /><br />';

        echo 'Rassurez-vous, vous pourrez toujours modifier votre mot de passe par la suite.';

        echo '<br /><br /><br />Il ne doit pas  exc&eacute;der 25 caractres, ';
        echo 'et ne doit pas comporter de caractres sp&eacute;ciaux, mais uniquement des chiffres, des lettres (Majuscule et minuscule), l\'underscore, le point, le tiret ou l\'espace.<br />[<strong>a</strong> &agrave; <strong>z</strong>, <strong>A</strong> &agrave; <strong>Z</strong>, <strong>0</strong> &agrave; <strong>9</strong>, &nbsp;<strong>_</strong> <strong>.</strong> <strong>-</strong>]<br /><br />';

        echo '<span class="erreur">Les caract&egrave;res accentu&eacute;s ne sont pas autoris&eacute;s.</span><br /><br />';

        echo '<br /><br /><span class="'.$classe.'">'.$ze_mess.'</span><br /><br />';
    // Fin explications
    if ($truc != '1')
    {
        // Champ mot de passe actuel
        echo 'Mot de passe actuel (D&eacute;faut : toto).<br />';
        echo '<input type="password" name="pass" size="25" maxLength="25" value="toto" onkeypress="return valid_mdp(event);" /><br /><br />';

        // Champ Nouveau Mot de passe
        echo 'Nouveau mot de passe (25 caractres maximum).<br />';
        echo '<input type="password" name="nvpass" size="25" maxLength="25" onkeypress="return valid_mdp(event);" /><br /><br />';

        // Champ Confirmation du Nouveau Mot de passe
        echo 'Confirmation du nouveau mot de passe.<br />';
        echo '<input type="password" name="confnvpass" size="25" maxLength="25" onkeypress="return valid_mdp(event);" /><br /><br />';
        ##

       echo 'Cliquez sur "Valider"';
       echo '<br /><br />';
    }
    else
    {
       echo 'Cliquez sur &quot;Suivant&quot;';
       echo '<br /><br />';
    }
    affiche_sep ();


    if ($truc != '1')
    {
        echo '<div align="right"><a href="index.php?st=20"><img src="bout_precedent.gif" border="0" width="100" height="22" value="aze" alt="Pr&eacute;c&eacute;dent"></a>';

        echo ' <input type="Image" src="bout_valider.gif" border="0" width="100" height="22" alt="Valider" name="submit"></div>';
    }
    else
    {
        echo ' <div align="right"><a href="index.php?st=35"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';
    }

    echo '</form>';

    echo '<script type="text/javascript">document.monform.nvpass.focus();</script>';

    echo '</div>';
} // FIN de 30



################################################################################ 35
if ($st == '35')
{
    $code_final = substr(md5(mt_rand()), 0, 6);

    $ancien_nom_livre = $nom_fichier_des_messages;
    $ancien_nom_livre_diff = $nom_fichier_des_messages_diff;

    $nouveau_nom_livre = 'livre_'.$code_final.'.txt';
    $nouveau_nom_livre_diff = 'livre_diff_'.$code_final.'.txt';
    //Nouvelle valeur ds fichier a enregistrer
    rename('../chmod_perso/'.$nom_fichier_des_messages, '../chmod_perso/'.$nouveau_nom_livre);
    rename('../chmod_perso/'.$nom_fichier_des_messages_diff, '../chmod_perso/'.$nouveau_nom_livre_diff);

    change('nom_fichier_des_messages', $nouveau_nom_livre, $chemin_fichier_03);
    change('nom_fichier_des_messages_diff', $nouveau_nom_livre_diff, $chemin_fichier_03);

    echo '<div class="tab_gn">';

    affiche_entete ();

    echo '<strong><span class="titre_st">Modification automatique de certains fichiers.</span></strong>';
    echo '<br /><br />';

    echo 'Deux fichiers ont &eacute;t&eacute; renomm&eacute;s pour plus de s&eacute;curit&eacute;.<br />';
    echo 'Ceux-ci ne doivent pas pouvoir &ecirc;tre list&eacute;s par n\'importe qui.<br /><br />';

    echo '- Le fichier &quot;<strong>'.$ancien_nom_livre.'</strong>&quot; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;devient &quot;<strong>'.$nouveau_nom_livre.'</strong>&quot;.<br />';
    echo '- Le fichier &quot;<strong>'.$ancien_nom_livre_diff.'</strong>&quot; devient &quot;<strong>'.$nouveau_nom_livre_diff.'</strong>&quot;.<br /><br />';

        echo 'Cliquez sur &quot;Suivant&quot;';
        echo '<br /><br />';

    affiche_sep ();

                      echo '<div align="right"><a href="index.php?st=40"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</div>';
} // FIN de 35


################################################################################ 40  BLABLABLA
if ($st == '40') {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">R&eacute;glages...</span></strong>';
echo '<br /><br />';

echo 'Vous allez maintenant proc&eacute;der &agrave; certains r&eacute;glages pour finir l\'installation de votre livre d\'or.<br /><br />';

echo 'Rassurez-vous, vous pourrez toujours modifier ceux-ci par la suite en vous rendant sur l\'interface de param&eacute;trage, dans l\'administration de votre livre d\'or.<br /><br />';


affiche_sep ();

echo '<div align="right"><a href="index.php?st=50"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

echo '</div>';
} // FIN de 40



################################################################################ 50
if ($st == '50') {
$ze_mess = '';
$classe = '';
if ($enrg == 1) {
       //Nouvelle valeur ds fichier a enregistrer
change('fai', $nv_fai, $chemin_fichier_02);

#-----
            $ze_mess = '<strong>Veuillez patienter...</strong>';
            $classe = 'erreur';
//echo '<meta http-equiv="refresh" content="1; url=?st=50&amp;ab=1">';
echo '<meta http-equiv="refresh" content="0; url=?st=50&amp;ab=1">';
//unset ($fai);
//exit;
} // Fin de if ($enrg == 1) {


echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Choisir son FAI.</span></strong>';
echo '<br /><br />';

echo 'Choisissez l\'h&eacute;bergeur o&ugrave; est install&eacute; votre livre d\'or.<br /><br />';

echo 'Si le nom de l\'h&eacute;bergeur o&ugrave; est install&eacute; Pifou apparait dans le menu-d&eacute;roulant, s&eacute;lectionnez-le, sinon choisissez &quot;Autre&quot;.<br /><br />
Cela pour diff&eacute;rentes raisons :<br />
&nbsp; - La fonction mail() est l&eacute;g&egrave;rement diff&eacute;rente d\'un FAI par rapport &agrave; un autre.<br />
&nbsp; - Certaines fonctions sont l&eacute;g&egrave;rements diff&eacute;rentes chez Chez.com, &agrave; cause de leur frame de Pub.<br /><br />';

echo '<form method="post" action="?st=50" name="monform" style="margin:0px;">';
    echo '<input type="hidden" name="enrg" value="1">';

    echo '<select name="nv_fai" size="1" class="ch_sk_input">
            <option value="Autres"'; if ($fai == 'Autres') {echo ' selected="selected"';} echo '>Autre</option>
            <option value="Amen"'; if ($fai == 'Amen') {echo ' selected="selected"';} echo '>Amen</option>
            <option value="Chezcom"'; if ($fai == 'Chezcom') {echo ' selected="selected"';} echo '>Chez.com</option>
            <option value="Tiscali"'; if ($fai == 'Tiscali') {echo ' selected="selected"';} echo '>Alice</option>
          </select>';

    echo '<br /><br /><span class="'.$classe.'">'.$ze_mess.'</span>';

echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=40"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <input type="Image" src="bout_valider.gif" border="0" width="100" height="22" alt="Valider" name="submit">';
                  echo ' <a href="index.php?st=60"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</form>';

echo '</div>';
} // FIN de 50


################################################################################ 60
if ($st == '60') {
$ze_mess = '';
$classe = '';

if ($enrg == 1) {
       //Nouvelle valeur ds fichier a enregistrer
change('nom_url_accueil_site', $nv_nom_url_accueil_site, $chemin_fichier_02);

#-----
            $ze_mess = '<strong>Veuillez patienter...</strong>';
            $classe = 'erreur';
echo '<meta http-equiv="refresh" content="0; url=?st=60&amp;ab=1">';

} // Fin de if ($enrg == 1) {



#-----
echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Page d\'accueil de votre site.</span></strong>';
echo '<br /><br />';

echo 'Entrez le chemin vers la page d\'accueil de votre site :<br /><br />';

echo '-Entrez dans le champ ci-dessous, l\'adresse compl&egrave;te de la page d\'accueil de votre site.<br />
-Lorsque que vous cliquerez dans le menu d\'ent&ecirc;te sur &quot;<strong>Retour &agrave; l\'accueil</strong>&quot;,
ceci permettra de revenir sur votre page d\'accueil.<br />
Ex : <span class="noerreur">http://actif-video.chez-alice.fr/</span></span><br /><br />';


echo '<form method="post" action="?st=60" style="margin:0px;">';
    echo '<input type="hidden" name="enrg" value="1">';

    echo '<input type="text" name="nv_nom_url_accueil_site" size="60" maxlength="120" value="'.$nom_url_accueil_site.'" /> ';

    echo '<br /><br /><span class="'.$classe.'">'.$ze_mess.'</span>';

echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=50"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <input type="image" src="bout_valider.gif" border="0" width="100" height="22" alt="Valider" name="submit">';
                  echo ' <a href="index.php?st=70"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</form>';

echo '</div>';
} // FIN de 60


################################################################################ 70
if ($st == '70') {
$ze_mess = '';
$classe = '';

if ($enrg == 1) {
##### Menu selection Multiple DEBUT

// Sert  concatner les langues utilises avec le sparateur |.
$boucle = 0;
$langue_sur_livre_final = '';
foreach($_POST['nv_langue_sur_livre'] as $itemListe)
{
    if ($boucle != (count($nv_langue_sur_livre) - 1)) {$separator = '|';} else {$separator = '';}
    $langue_sur_livre_final .= $itemListe.$separator;
    $boucle++;
}

change('langue_sur_livre', $langue_sur_livre_final, $chemin_fichier_02);

##### Menu selection Multiple FIN


##### Menu selection langue par dfaut DEBUT
$les_lng_affichees = explode('|', $langue_sur_livre_final);

if (in_array ($nv_langue_par_defaut, $les_lng_affichees)) // Si le dossier ds l'URL n'existe pas, on Reinitialise $doss  zero. (Remplace le fichier dossier_ok.php)
{
$nv_langue_par_defaut = $nv_langue_par_defaut;
}
else
{
$nv_langue_par_defaut = $les_lng_affichees[0];
}

change('langue_par_defaut', $nv_langue_par_defaut, $chemin_fichier_02);

##### Menu selection langue par dfaut FIN
#-----
            $ze_mess = '<strong>Veuillez patienter...</strong>';
            $classe = 'erreur';
echo '<meta http-equiv="refresh" content="0; url=?st=70&amp;ab=1">';

} // Fin de if ($enrg == 1) {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Langues du livre d\'or.</span></strong>';
echo '<br /><br />';

echo 'Choisissez, la ou les langues des interfaces du livre d\'or :<br /><br />';

echo '- En s&eacute;lectionnant une ou plusieurs langues, les drapeaux de celles-ci appara&icirc;tront sur le livre d\'or.<br /><br />';

echo '- Pour s&eacute;lectionner plusieurs langues, appuyez sur &quot;CTRL + clic gauche&quot;.<br /><br />';

// Variable entre form  modifier
echo '<form method="post" action="?st=70" style="margin:0px;">';
    echo '<input type="hidden" name="enrg" value="1">';

##### Menu selection Multiple DEBUT

// Recup des champs selected
$langues_affichees = explode('|', $langue_sur_livre);

$les_langues = array();
$les_langues = lister_un_dossier($les_langues, '../langues/');

for ($i = 0; $i < count($les_langues); $i++)
{
    include '../langues/'.$les_langues[$i].'/langue.cfg';
    $tableau_des_langues[$i][] = $les_langues[$i];
    $tableau_des_langues[$i][] = $lng_nom;
}


echo "\n\n".'<select name="nv_langue_sur_livre[]" size="8" multiple>';
foreach ($tableau_des_langues as $elements)
{
    echo '<option value="'.$elements[0].'"'; if (in_array($elements[0], $langues_affichees)) {echo ' selected="selected"';} echo '>'.$elements[1].'</option>'."\n";
}
    echo '</select>';

##### Menu selection Multiple FIN

echo '<br /><br />';

##### Menu droulant DEBUT
    echo 'Choisir la langue par d&eacute;faut lorsqu\'un visiteur arrive sur le livre d\'or. Celle-ci doit faire partie des langues s&eacute;lectionn&eacute;es ci-dessus.<br />';

        echo '<select name="nv_langue_par_defaut" size="1">';
    foreach ($tableau_des_langues as $elements)
    {
        echo '<option value="'.$elements[0].'"'; if ($langue_par_defaut == $elements[0])   {echo ' selected="selected"';} echo '>'.$elements[1].'</option>';
    }
        echo '</select>'; //
##### Menu droulant FIN

    echo '<br /><br /><span class="'.$classe.'">'.$ze_mess.'</span>';

echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=60"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <input type="image" src="bout_valider.gif" border="0" width="100" height="22" alt="Valider" name="submit">';
                  echo ' <a href="index.php?st=80"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</form>';

echo '</div>';
} // FIN de 70


################################################################################ 80
if ($st == '80') {
$ze_mess = '';
$classe = '';

if ($enrg == 1) {

       //Nouvelle valeur ds fichier a enregistrer
change('active_SAS', $nv_active_SAS, $chemin_fichier_02);

#-----
            $ze_mess = '<strong>Veuillez patienter...</strong>';
            $classe = 'erreur';
echo '<meta http-equiv="refresh" content="0; url=?st=80&amp;ab=1">';

} // Fin de if ($enrg == 1) {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Anti-Spams.</span></strong>';
echo '<br /><br />';

echo 'Activez ou d&eacute;sactivez le syst&egrave;me Anti-Spams.<br /><br />';

echo '- Activez ce syst&egrave;me, uniquement lorsque vous commencerez &agrave; &ecirc;tre spamm&eacute;.<br />Cela &eacute;vitera
&agrave; vos visiteurs de se prendre la t&ecirc;te &agrave; devoir remplir un champ suppl&eacute;mentaire.<br /><br />
Il s\'agit d\'un code qui s\'affichera sur une image. Ce code sera, soit compos&eacute; de chiffres et de lettres
ou simplement de chiffres.<br />Vous pourrez choisir cela dans votre interface de param&eacute;trage en temps voulu.<br /><br />';

echo '<form method="post" action="?st=80" style="margin:0px;">';
    echo '<input type="hidden" name="enrg" value="1">';

// Les variables
echo '<strong>Statut : </strong>';
    echo '<select name="nv_active_SAS" size="1" class="ch_sk_input">
            <option value="Activer"'; if ($active_SAS == 'Activer') {echo ' selected="selected"';} echo '>Activ&eacute;</option>
            <option value="Desactiver"'; if ($active_SAS == 'Desactiver') {echo ' selected="selected"';} echo '>D&eacute;sactiv&eacute;</option>
            </select>';

    echo '<br /><br /><span class="'.$classe.'">'.$ze_mess.'</span>';

echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=70"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <input type="image" src="bout_valider.gif" border="0" width="100" height="22" alt="Valider" name="submit">';
                  echo ' <a href="index.php?st=90"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</form>';

echo '</div>';
} // FIN de 80


################################################################################ 90  Recap
if ($st == '90') {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">R&eacute;capitulatif...</span></strong>';
echo '<br /><br />';

echo 'Voici le r&eacute;sultat de votre param&eacute;trage.<br /><br />';
/*
0/ Fenetre affichant les reglage  venir en disant que se sera modifiable par la suite
1/ Choisir son FAI
2/ Entrez le chemin (l'URL) vers la page d'accueil de votre site.
3/ Choisissez la langue des interfaces du livre d'or.
4/ Activez ou dsactivez le systme Anti-Spams (Evite le spam automatique des robots).
5/ Rcapitulatif
*/
$fai = str_replace('Autres', 'Autre', $fai);
$fai = str_replace('Tiscali', 'Alice', $fai);

$les_langues_affichees = explode('|', $langue_sur_livre);

$result_lng = '';

foreach ($les_langues_affichees as $valeur)
{
    $valeur = str_replace('lg01_fr', 'Fran&ccedil;ais ', $valeur);
    $valeur = str_replace('lg02_en', 'Anglais ', $valeur);
    $valeur = str_replace('lg03_es', 'Espagnol ', $valeur);
    $valeur = str_replace('lg04_it', 'Italien ', $valeur);
    $valeur = str_replace('lg05_de', 'Allemand ', $valeur);
    $valeur = str_replace('lg06_po', 'Portugais ', $valeur);
    $valeur = str_replace('lg07_nl', 'N&eacute;erlandais ', $valeur);

    $result_lng .= $valeur;
}

count($les_langues_affichees) > 1 ? $langue_sing_plur = 'Langues' : $langue_sing_plur = 'Langue';

if ($active_SAS == 'Activer') {$active_SAS  = str_replace('Activer', 'Activ&eacute;', $active_SAS);}
else {$active_SAS  = str_replace('Desactiver', 'D&eacute;sactiv&eacute;', $active_SAS);}

echo '<a href="index.php?st=50"><img src="bout_modifier.gif" border="0" width="100" height="22" alt="Modifier"></a> Votre h&eacute;bergeur : <span class="noerreur">'.$fai.'</span><br />
<a href="index.php?st=60"><img src="bout_modifier.gif" border="0" width="100" height="22" alt="Modifier" /></a> URL de votre page d\'accueil : <span class="noerreur">'.$nom_url_accueil_site.'</span><br />
<a href="index.php?st=70"><img src="bout_modifier.gif" border="0" width="100" height="22" alt="Modifier" /></a> '.$langue_sing_plur.' de votre livre d\'or : <span class="noerreur">'.$result_lng.'</span><br />
<a href="index.php?st=80"><img src="bout_modifier.gif" border="0" width="100" height="22" alt="Modifier" /></a> Syst&egrave;me Anti-Spams : <span class="noerreur">'.$active_SAS.'</span><br />
<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=80"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <a href="index.php?st=200"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

echo '</div>';
} // FIN de 90


################################################################################ 200 Fenetre avertissement on efface tout suite = 210
if ($st == '200') {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Effacement des fichiers.</span></strong>';
echo '<br /><br />';

echo 'Vous allez maintenant effacer tous les fichiers qui ont &eacute;t&eacute; utilis&eacute;s durant cette installation.<br /><br />';
echo '<strong><span class="erreur">ATTENTION :</span></strong> chez certains h&eacute;bergeurs, il se peut que les fichiers ne veuillent pas s\'effacer.<br />';
echo 'Cela vous sera signal&eacute;.<br /><br />';

echo '<br /><br />';
echo 'Cliquez sur &quot;Suivant&quot;';
echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=90"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <a href="index.php?st=210"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

echo '</div>';
}


################################################################################ 210
if ($st == '210') {
#---------------------------------------------------- ON EFFACE TOUT -----------------------------------------------------
//*
@unlink ('bout_actualiser.gif');
@unlink ('bout_modifier.gif');
@unlink ('bout_precedent.gif');
@unlink ('bout_suivant.gif');
@unlink ('bout_termine.gif');
@unlink ('bout_valider.gif');
@unlink ('index.php');
@unlink ('install.gif');
@unlink ('sep.gif');
@unlink ('Thumbs.db');
@rmdir('../install');
//*/

#-----
echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Installation termin&eacute;e.</span></strong>';
echo '<br /><br />';

echo '<strong><span class="erreur">ATTENTION :</span></strong> il est quand m&ecirc;me pr&eacute;f&eacute;rable pour vous, de v&eacute;rifier que le dossier &quot;<strong>install</strong>&quot; et son contenu, ont bien &eacute;t&eacute; effac&eacute;s de votre serveur.';

echo '<br /><br />';

existe_encore('bout_actualiser.gif');
existe_encore('bout_modifier.gif');
existe_encore('bout_precedent.gif');
existe_encore('bout_suivant.gif');
existe_encore('bout_termine.gif');
existe_encore('bout_valider.gif');
existe_encore('index.php');
existe_encore('install.gif');
existe_encore('sep.gif');


if (@file_exists('index.php'))
{
    echo '<span class="erreur"><br /><br /><strong>ATTENTION</strong>: apr&egrave;s avoir cliqu&eacute; sur le bouton &quot;Termin&eacute;&quot; ci-dessous, vous devrez imp&eacute;rativement effacer manuellement tous les fichiers se trouvant dans le dossier &quot;install&quot;.<br /></span>';
}

echo '<br /><br />';

echo 'Vous allez &ecirc;tre dirig&eacute; vers votre administration.<br />';
echo 'Entrez votre mot de passe et <span class="erreur"><strong>finissez la proc&eacute;dure d\'installation telle qu\'indiqu&eacute; dans la doc d\'install</strong></span>.';

echo '<br /><br />';
echo 'Cliquez sur "Termin&eacute;"';
echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="../admin_pass.php"><img src="../images/bout_termine.gif" border="0" width="100" height="22" alt="Termin&eacute;"></a></div>';

echo '</div>';
}

?>
</div>
<div align="center"><p>A.I-PifouEasyInstall <?php echo $versionPEI; ?></p></div>
</body>
</html>